/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.proed;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.ow2.proed.chi.test.CollectionElementTest;
import org.ow2.proed.chi.test.XPDLAtomicActivityTest;
import org.ow2.proed.chi.test.graphModel.AtomicActivityTest;
import org.ow2.proed.chi.test.graphModel.RootActivityTest;
import org.ow2.proed.chi.test.graphModel.SubflowTest;


/**
 * @author Pierre Vigneras
 * @date 17 avr. 08
 */
public class NonRegressionTests extends TestSuite {
  public static Test suite() {
    final TestSuite suite = new TestSuite(AllTests.class.getPackage().getName());
    suite.addTestSuite(CollectionElementTest.class);
    suite.addTestSuite(XPDLAtomicActivityTest.class);
    suite.addTestSuite(AtomicActivityTest.class);
    suite.addTestSuite(RootActivityTest.class);
    suite.addTestSuite(SubflowTest.class);
    
    return suite;
  }
}
